[Wtr-development] [JIRA] Closed: (WTR-409) install for 1.6.2 doesn't work after 1.6.5 release

Alan Baird (JIRA) watirjira at gmail.com
Mon Oct 4 09:17:31 EDT 2010


     [ http://jira.openqa.org/browse/WTR-409?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Alan Baird closed WTR-409.
--------------------------

    Resolution: Fixed

I don't think people are going to be affected by this anymore.

> install for 1.6.2 doesn't work after 1.6.5 release
> --------------------------------------------------
>
>                 Key: WTR-409
>                 URL: http://jira.openqa.org/browse/WTR-409
>             Project: Watir
>          Issue Type: Bug
>          Components: Gem installer
>    Affects Versions: 1.6.2
>         Environment: windows
>            Reporter: Alan Baird
>            Assignee: Charley Baker
>            Priority: Critical
>             Fix For: 1.6.3
>
>
> This morning I was helping a coworker get some things up and running with watir and noticed that he had inadvertently got 1.6.5.  Since 1.6.5 changes the way .visible? works, we decided to go back to 1.6.2 and make sure everything was ok there.  We removed watir, commonwatir and firewatir and verified that everything was uninstalled.  After that, we did the following:
> C:\ >gem install watir -v 1.6.2
> ERROR:  Error installing watir:
>         firewatir requires commonwatir (= 1.6.5, runtime)
> C:\ >gem list --local
> *** LOCAL GEMS ***
> (removed unnecessary gems)
> ...
> commonwatir (1.6.2)
> ...
> C:\ >gem install firewatir -v 1.6.2
> Successfully installed firewatir-1.6.2
> 1 gem installed
> Installing ri documentation for firewatir-1.6.2...
> Installing RDoc documentation for firewatir-1.6.2...
> C:\ >gem install watir -v 1.6.2
> Successfully installed watir-1.6.2
> 1 gem installed
> Installing ri documentation for watir-1.6.2...
> Installing RDoc documentation for watir-1.6.2...
> So, to me it seems that there is a gem dependency in the firewatir install for commonwatir 1.6.5 (or maybe it's just the latest version).
> What do you think?
> Alan
> For complete discussion, see http://groups.google.com/group/watir-general/browse_thread/thread/ee8e1abadb533b61?tvc=2

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.openqa.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        


More information about the Wtr-development mailing list